Shader "Terrain/Two Layer"
{
Properties {
	_Color ("Main Color", Color) = (1,1,1,0.5)
	_MainTex ("Texture 1 (RGB)", 2D) = "white" {}
	_MainTex2 ("Texture 2 (RGB)", 2D) = "white" {}
	_Mask ("Mix Mask (A)", 2D) = "white" {}
}
SubShader {
	Pass {
		Lighting On
		
		Material {
			Diffuse [_Color]
			Ambient [_Color]
			Emission [_PPLAmbient]
		}
		SetTexture [_MainTex] {
			combine texture
		}
		SetTexture [_Mask] {
			combine previous, texture
		}
		SetTexture [_MainTex2] {
			combine previous lerp (previous) texture
		}
		SetTexture [_MainTex] {
			combine previous * primary double
		}
	}
}

FallBack " VertexLit", 1

}
